BSON_UNICHAR_T(3)

Unicode Character Abstraction

SYNOPSIS

            typedef uint32_t bson_unichar_t;

DESCRIPTION

bson_unichar_t <> provides an abstraction on a single unicode character. It is the 32-bit representation of a character. As UTF-8 can contain multi-byte characters, this should be used when iterating through UTF-8 text.

EXAMPLE

            static void
            print_each_char (const char *str)
            {
               bson_unichar_t c;

               for (; *str; str = bson_utf8_next_char (str)) {
                  c = bson_utf8_get_char (str);
                  printf ("The numberic value is %u.\n", (unsigned) c);
               }
            }

Author
MongoDB, Inc

Copyright
2009-present, MongoDB, Inc.